<?php
	include "connect.php";
		
	function test_input($data) {
		$data = trim($data);
		$data = stripslashes($data);
		$data = htmlspecialchars($data);
		return $data;
	}
?>
<!DOCTYPE html>
<html lang="hu">
<head>
	<meta charset="utf-8">
	<link rel="stylesheet" href="style.css">
	<title>Reg-login rendszer by: maxi</title>
	
	<script src="https://code.jquery.com/jquery-3.4.1.js"
	integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU="
	crossorigin="anonymous"></script>
</head>
<body>

<section>
	<?php
		/* Regisztráció */
		if(isset($_POST["reg"])) :
			$output = NULL; //output
			$felhasznalonev = test_input($_POST["felhasznalonev"]);
			$email = test_input($_POST["email"]);
			$jelszo = test_input($_POST["jelszo"]);
			$jelszo2 = test_input($_POST["jelszo2"]);
			$regex = "/^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)[a-zA-Z\d]{8,20}$/";
			
			if(strlen($felhasznalonev) <= 3) :
				$output .= "<div class='danger'><b>A felhasználónév túl rövid!</b><br>A választott felhasználónévnek legalább 4 karakter hosszúnak kell lennie.</div>";
			endif;
			if(empty($jelszo) || empty($jelszo2) || empty($email) || empty($felhasznalonev)) : 
				$output .= "<div class='danger'><b>Ne hagyj üresen semmit!</b><br>A regisztráció csak úgy sikeres, ha minden mező ki van töltve!</div>";
			endif;
			if(!preg_match($regex, $jelszo)) :
				$output .= "<div class='danger'><b>Helytelen jelszó formátum!</b><br>A jelszavadnak tartalmaznia kell kis és nagybetűket, legalább egy számot, továbbá legalább 8 karakter hosszúságúnak kell lennie.</div>";
			endif;
			if($jelszo != $jelszo2) :
				$output .= "<div class='danger'><b>A két jelszó nem egyezik.</b><br>Ahhoz, hogy sikeres legyen a regisztráció a két jelszónak egyeznie kell.</div>";
			endif;
			if($output == NULL) :
				if($query = $db->query("SELECT * FROM `felhasznalok` WHERE `fhnev` = '$felhasznalonev' OR `email` = '$email'")) :
					if($query->rowCount()) :
						$output .= "<div class='danger'><b>Felhasználónév vagy e-mail cím foglalt!</b><br>Próbálj meg másik felhasználónevet vagy e-mailt megadni! Úgy látszik valamelyik már szerepel az adatbázisban.</div>";
					endif;
				else :
					die("Valami baj van :S (1)");
				endif;
				if($output == NULL) :
					$jelszo = md5($jelszo);
					if($query = $db->query("INSERT INTO felhasznalok(fhnev, email, jelszo) VALUES('$felhasznalonev','$email','$jelszo')")) :
						$output .= "<div class='good'><b>Sikeres regisztráció!</b><br>Üdvözlünk az oldalon. Mostmár be tudsz jelentkezni!</div>";
					else :
						die("Valami baj van :S (2)");
					endif;
				endif;
			endif;
			echo $output;
		endif;
		
		/* Bejelentkezés */
		if(isset($_POST["login"])) :
			$output = NULL; //output
			$felhasznalonev = test_input($_POST["felhasznalonev"]);
			$jelszo = md5(test_input($_POST["jelszo"]));
			if($query = $db->query("SELECT * FROM `felhasznalok` WHERE fhnev = '$felhasznalonev' AND jelszo = '$jelszo'")) :
				if($query->rowCount()) :
					$output .= "<div class='good'><b>Sikeres bejelentkezés!</b><br>Átirányítás...</div>";
					$_SESSION['loggedin'] = 1;
					$_SESSION['felhasznalonev'] = $felhasznalonev;
					
					header("refresh:2;url=index.php");
				else :
					$output .= "<div class='danger'><b>Helytelen felhasználónév vagy jelszó.</b><br>Próbáld újra!</div>";
				endif;
			else : 
				die("Valami baj van :S (3)");
			endif;
			
			echo $output;
		endif;
	?>
	
	<?php if(!isset($_SESSION['loggedin'])) : ?>
	<button class="reg">Regisztráció</button>
	<button class="login">Bejelentkezés</button>
	
	<div class="modal reg_modal">
		<div class="modal-content">
			<span class="close">&times;</span>
			<h2>Regisztráció</h2>
			<form method="post">
				<table>
					<tr>
						<td>Felhasználónév</td>
						<td><input type="text" class="l" name="felhasznalonev"></td>
					</tr>
					<tr>
						<td>E-mail</td>
						<td><input type="email" class="l" name="email"></td>
					</tr>
					<tr>
						<td>Jelszó</td>
						<td><input type="password" class="l" name="jelszo"></td>
					</tr>
					<tr>
						<td>Jelszó mégegyszer</td>
						<td><input type="password" class="l" name="jelszo2"></td>
					</tr>
				</table>
				<button type="submit" name="reg">Regisztráció</button>
			</form>
		</div>

	</div>
	
	<div class="modal login_modal">
		<div class="modal-content">
			<span class="close">&times;</span>
			<h2>Bejelentkezés</h2>
			<form method="post">
				<table>
					<tr>
						<td>Felhasználónév</td>
						<td><input type="text" class="l" name="felhasznalonev"></td>
					</tr>
					<tr>
						<td>Jelszó</td>
						<td><input type="password" class="l" name="jelszo"></td>
					</tr>
				</table>
				<button type="submit" name="login">Bejelentkezés</button>
			</form>
		</div>

	</div>
	<?php else : ?>
		Üdv az oldalon! Bejelentkezve mint: <b><?= $_SESSION['felhasznalonev']; ?></b> ! <a href="logout.php"> Kijelentkezés </a>
	<?php endif; ?>
</section>


	<footer></footer>
	<script src="main.js"></script>
</body>
</html>